<?php

  if( $Debug == 1 ){
    echo "Edit View";
  }

  $codigo     = $decoded['codigo'];

  if( $codigo ){

    $Where = "
      WHERE co.id != '0'
    ";

    if( $codigo ){
      $Where .= "
        AND co.codigo_postal = '$codigo'
      ";
    }

    //Codigos
    $Query = "
      SELECT
        co.id,
        co.fk_estado, co.fk_municipio,
        co.codigo_postal, co.colonia,
        es.estado, mu.municipio
      FROM cat_codigo_postal co
      LEFT JOIN cat_estados es ON es.id = co.fk_estado
      LEFT JOIN cat_municipios mu ON mu.id = co.fk_municipio AND mu.fk_estado = es.id
      $Where
      GROUP BY co.id
    ";
    $Cods = $mysqli->query($Query);
    mysqli_data_seek($Cods, 0);
    while($Cod = mysqli_fetch_array($Cods)) {

      $Codigos[] = array(
        'id_codigo_postal'  => $Cod[id],
        'id_estado'         => $Cod[fk_estado],
        'estado'            => $Cod[estado],
        'id_municipio'      => $Cod[fk_municipio],
        'municipio'         => $Cod[municipio],
        'codigo_postal'     => $Cod[codigo_postal],
        'colonia'           => $Cod[colonia]
      );

    }

    $Data = array(
      'colonias'   => $Codigos
    );
    echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

  }else{



  }

?>
